org.eclipse.viatra.query.tooling.generator.model.parser.antlr

## Class GeneratorModelParser

- java.lang.Object
- - org.eclipse.xtext.parser.AbstractParser
  - - org.eclipse.xtext.parser.antlr.AbstractAntlrParser
    - - org.eclipse.viatra.query.tooling.generator.model.parser.antlr.GeneratorModelParser

- All Implemented Interfaces:
    org.eclipse.xtext.parser.IParser

      public class GeneratorModelParser
      extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.IParser

      `org.eclipse.xtext.parser.IParser.NullImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorModelParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InternalGeneratorModelParser` | `createParser(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)`
    `protected java.lang.String` | `getDefaultRuleName()`
    `GeneratorModelGrammarAccess` | `getGrammarAccess()`
    `void` | `setGrammarAccess(GeneratorModelGrammarAccess grammarAccess)`
    `protected void` | `setInitialHiddenTokens(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)`

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser

      `createLexer, createNodeModelBuilder, createTokenStream, doParse, doParse, doParse, doReparse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, isReparseSupported, parse, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

    - ### Methods inherited from class org.eclipse.xtext.parser.AbstractParser

      `parse, reparse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorModelParser

          public GeneratorModelParser()

  - ### Method Detail

    - #### setInitialHiddenTokens

          protected void setInitialHiddenTokens(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)

      Overrides:
        `setInitialHiddenTokens` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

    - #### createParser

          protected InternalGeneratorModelParser createParser(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)

      Specified by:
        `createParser` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

    - #### getDefaultRuleName

          protected java.lang.String getDefaultRuleName()

      Specified by:
        `getDefaultRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

    - #### getGrammarAccess

          public GeneratorModelGrammarAccess getGrammarAccess()

    - #### setGrammarAccess

          public void setGrammarAccess(GeneratorModelGrammarAccess grammarAccess)